      subroutine MPI_Setup (ierr)      


      use Agrif_Util
#include "Param_BeforeCall_MPI_Setup.h"
      integer(4) :: ierr
      

        call Sub_Loop_MPI_Setup(ierr, Agrif_tabvars_i(12)%iarray0, Agrif
     &_tabvars_i(11)%iarray0, Agrif_tabvars_i(10)%iarray0, Agrif_tabvars
     &_i(9)%iarray0, Agrif_tabvars_i(8)%iarray0, Agrif_tabvars_i(7)%iarr
     &ay0, Agrif_tabvars_i(177)%iarray0, Agrif_tabvars_i(188)%iarray0, A
     &grif_tabvars_l(17)%larray0, Agrif_tabvars_l(18)%larray0, Agrif_tab
     &vars_l(16)%larray0, Agrif_tabvars_l(15)%larray0, Agrif_tabvars_l(9
     &)%larray0, Agrif_tabvars_l(10)%larray0, Agrif_tabvars_l(7)%larray0
     &, Agrif_tabvars_l(8)%larray0, Agrif_tabvars_i(185)%iarray0, Agrif_
     &tabvars_i(187)%iarray0, Agrif_tabvars_i(184)%iarray0, Agrif_tabvar
     &s_i(186)%iarray0, Agrif_tabvars_i(183)%iarray0, Agrif_tabvars_i(18
     &2)%iarray0, Agrif_tabvars_i(181)%iarray0, Agrif_tabvars_i(180)%iar
     &ray0, Agrif_tabvars_l(13)%larray0, Agrif_tabvars_l(14)%larray0, Ag
     &rif_tabvars_l(11)%larray0, Agrif_tabvars_l(12)%larray0, Agrif_tabv
     &ars_i(179)%iarray0, Agrif_tabvars_i(178)%iarray0, Agrif_tabvars_i(
     &176)%iarray0, Agrif_tabvars_i(3)%iarray0, Agrif_tabvars_i(1)%iarra
     &y0)

      end


#include "Sub_Loop_MPI_Setup.h"
